#printPicoUniqueID.py

import machine
s = machine.unique_id()
for b in s:
    #print("b:",b,end=" ")
    print(hex(b)[2:],end=" ")
print()
#print("s:",s)
# MMBasic print mm.info(ID)
#List of Pico IDs owned by D@CC as of 2022AJan07
# Pico Unique ID          Item          from   Label        Use
# 36 60 58 38 83 3d 4f 31 Maker Pi Pico Cytron Pico_4f_31  MicroPython Examples
# E6605481DB4             Pi Pico       Cytron Pico_1DB4   MMBasic on picomite

#Source:
# https://forums.raspberrypi.com/viewtopic.php?p=1851234&hilit=read+pico+flash+unique+id#p1851234
#/printPicoUniqueId.py